Page MenuHomePhabricator

[AArch64] Allow strict opcodes in fp->int->fp patterns
ClosedPublic

Authored by john.brawn on Jan 28 2022, 9:37 AM.

Details

Summary

These patterns don't change the fundamental instructions that are used, just the variants that are used in order to remove some extra MOVs.

Diff Detail

Event Timeline

john.brawn created this revision.Jan 28 2022, 9:37 AM
john.brawn requested review of this revision.Jan 28 2022, 9:37 AM
Herald added a project: Restricted Project. · View Herald TranscriptJan 28 2022, 9:37 AM
dmgreen accepted this revision.Feb 7 2022, 3:56 AM

Seems to make sense. LGTM

This revision is now accepted and ready to land.Feb 7 2022, 3:56 AM
This revision was landed with ongoing or failed builds.Feb 17 2022, 5:12 AM
This revision was automatically updated to reflect the committed changes.